Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(36)  |  Call(36)  |  Derive(0)  |  Import(0)

src/l/a/ladybug-HEAD/src/ladybug_ladybug.py   ladybug(Download)
            # arrowSrf = rs.AddSrfPt((cenPt, rightPt, arrowEndpt, leftPt))
 
            tempMesh = rc.Geometry.Mesh()
            tempMesh.Vertices.Add(rs.coerce3dpoint(cenPt)) #0
            tempMesh.Vertices.Add(rs.coerce3dpoint(rightPt)) #1
    def joinMesh(self, meshList):
        joinedMesh = rc.Geometry.Mesh()
        for m in meshList: joinedMesh.Append(m)
        return joinedMesh
 
                        testPoint[i][face] = rc.Geometry.Point3d.Add(rc.Geometry.Point3d(meshSrfCen[i][face]), movingVec)
                    # make mesh surface, calculate the area, dispose the mesh and mass area calculation
                    tempMesh = rc.Geometry.Mesh()
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].A]) #0
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].B]) #1
    def colorMesh(self, colors, meshList, unweld = True):
 
        joinedMesh = rc.Geometry.Mesh()
        try:
            for face in range(meshList[0].Faces.Count):
 
            meshVertices = ptList; textPt = []
            legendSrf = rc.Geometry.Mesh()
            for segNum in  range(numOfSeg):
                # generate the surface

src/l/a/ladybug-HEAD/src/Ladybug_Shading Mask_II.py   ladybug(Download)
def joinMesh(meshList):
    joinedMesh = rc.Geometry.Mesh()
    for m in meshList: joinedMesh.Append(m)
    return joinedMesh
 

src/r/h/rhinopython-HEAD/scripts/rhinoscript/mesh.py   rhinopython(Download)
      None on error
    """
    mesh = Rhino.Geometry.Mesh()
    for a, b, c in vertices: mesh.Vertices.Add(a, b, c)
    for face in face_vertices:
    """
    meshes = [rhutil.coercemesh(id,True) for id in object_ids]
    joined_mesh = Rhino.Geometry.Mesh()
    for mesh in meshes: joined_mesh.Append(mesh)
    rc = scriptcontext.doc.Objects.AddMesh(joined_mesh)

src/l/a/ladybug-HEAD/src/Ladybug_Wind Rose.py   ladybug(Download)
                                centerFrqPts.append(freqPolyline(cenPt, cumFreq , sideVectors, scale, True))
 
                        centerMesh = rc.Geometry.Mesh()
                        cenMeshColors = []
 
                                for ptCount in range(len(centerFrqPts[crvNum])-1):
                                    try:
                                        singleMesh = rc.Geometry.Mesh()
                                        pt1 = cenPt
                                        pt2 = centerFrqPts[crvNum][ptCount]
                                for ptCount in range(len(centerFrqPts[crvNum])-1):
                                    try:
                                        singleMesh = rc.Geometry.Mesh()
                                        pt1 = centerFrqPts[crvNum-1][ptCount]
                                        pt2 = centerFrqPts[crvNum][ptCount]
                                        print `e`
 
                        segments = rc.Geometry.Mesh()
                        segmentsColors = []
                        for direction, segmentValues in enumerate(values):
                                        pt3 = rc.Geometry.Point3d.Add(cenPt, (calmFreq + (windFreq[direction] * totalFr)) * scale * sideVectors[direction])
                                        pt4 = rc.Geometry.Point3d.Add(cenPt, (calmFreq + (windFreq[direction] * (totalFr + fr)))* scale * sideVectors[direction])
                                        segment = rc.Geometry.Mesh()
                                        segment.Vertices.Add(pt1)
                                        segment.Vertices.Add(pt2)

src/l/a/ladybug-HEAD/src/Ladybug_Sky Dome.py   ladybug(Download)
 
        # mesh the patches and join them together
        domeMeshed = rc.Geometry.Mesh();
 
        # mesh the patches

src/l/a/ladybug-HEAD/src/Ladybug_Radiation Rose.py   ladybug(Download)
                # generate dome patches colors
                totalRadiationColors = lb_visualization.gradientColor(results, lowB, highB, customColors)
                arrowsJoined = rc.Geometry.Mesh();
                # mesh the patches
                meshParam = rc.Geometry.MeshingParameters.Smooth

src/h/o/Honeybee-HEAD/src/Honeybee_Honeybee.py   Honeybee(Download)
    def joinMesh(self, meshList):
        joinedMesh = rc.Geometry.Mesh()
        for m in meshList: joinedMesh.Append(m)
        return joinedMesh
 
            self.type = arg[1] # surface type (e.g. wall, roof,...)
 
        self.meshedFace = rc.Geometry.Mesh()
        self.RadMaterial = None
        self.EPConstruction = None # this gets overwritten below
    def collectMeshFaces(self, meshVertices, reverseList = False):
        mesh = rc.Geometry.Mesh()
        if meshVertices[3]!= meshVertices[4:]:
            mesh.Vertices.Add(meshVertices[1]) #0
            mesh.Vertices.Add(meshVertices[2]) #1
    def disposeCurrentMeshes(self):
        if self.meshedFace.Faces.Count>0:
            self.meshedFace.Dispose()
            self.meshedFace = rc.Geometry.Mesh()
        if self.hasChild:
            for fenSrf in self.childSrfs:
                if fenSrf.meshedFace.Faces.Count>0:
                    fenSrf.meshedFace.Dispose()
                    fenSrf.meshedFace = rc.Geometry.Mesh()

src/l/a/ladybug-HEAD/src/Ladybug_Shadow Study.py   ladybug(Download)
def joinMesh(meshList):
    joinedMesh = rc.Geometry.Mesh()
    for m in meshList: joinedMesh.Append(m)
    return joinedMesh
 
                        testPoint[i][face] = rc.Geometry.Point3d.Add(rc.Geometry.Point3d(meshSrfCen[i][face]), movingVec)
                    # make mesh surface, calculate the area, dispose the mesh and mass area calculation
                    tempMesh = rc.Geometry.Mesh()
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].A]) #0
                    tempMesh.Vertices.Add(analysisSrfs[i].Vertices[analysisSrfs[i].Faces[face].B]) #1

src/l/a/ladybug-HEAD/src/Ladybug_Shading Mask.py   ladybug(Download)
def joinMesh(meshList):
    joinedMesh = rc.Geometry.Mesh()
    for m in meshList: joinedMesh.Append(m)
    return joinedMesh
 
def meshAndJoin(brepList):
    joinedMesh = rc.Geometry.Mesh()

src/l/a/ladybug-HEAD/src/Ladybug_3D Chart.py   ladybug(Download)
                # and then the process of coloring will be more clear
                if condStatement and cullVertices:
                    culledMesh = rc.Geometry.Mesh()
                    for faceCount in range (coloredChart.Faces.Count):
                        # Find the vertices
 
                        if len(selVertices)>2:
                            mesh = rc.Geometry.Mesh()
                            for id in selVertices:
                                mesh.Vertices.Add(coloredChart.Vertices[id])

  1 | 2  Next